Cyberduck Mountain Duck CLI

#1322 closed enhancement (fixed)

Support MacVim as one of the external editors

Reported by: anmar Owned by: dkocher
Priority: normal Milestone: 2.8.3
Component: core Version: 2.8
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hello:

can you please add "MacVim" as one of the possible external editors. MacVim is a Cocoa version of the popular vim edito. MacVim is a GUI version with support for tabs and such.

Check it out at http://code.google.com/p/macvim/ With some screen shots at http://macvim.googlecode.com/files/Macvim-screenshot-7.jpg

We currently change the editor.name to MacVim using defaults tool but would be nice if it is there in 2.8.1 After all both are open source :-)

Change History (7)

comment:1 Changed on Nov 2, 2007 at 8:07:13 PM by anmar

  • Type changed from defect to enhancement

Sorry... changed the issue to enhancement instead of bug.

comment:2 Changed on Nov 2, 2007 at 10:36:42 PM by dkocher

  • Milestone 2.8.1 deleted

Currently we only support editors that support the ODB protocol (http://www.barebones.com/support/develop/odbsuite.shtml).

comment:3 Changed on Dec 4, 2007 at 7:29:50 PM by dkocher

You can use the commands

defaults write ch.sudo.cyberduck editor.bundleIdentifier org.vim.MacVim
defaults write ch.sudo.cyberduck editor.name MacVim

to test your implementation with Cyberduck.

comment:4 Changed on Dec 6, 2007 at 8:13:44 PM by dkocher

  • Milestone set to 2.8.2
  • Resolution set to fixed
  • Status changed from new to closed

As of r3331 we support MacVim if it has the bundle identifier org.slashpunt.vim

comment:5 Changed on Dec 10, 2007 at 11:18:04 PM by dkocher

  • Milestone changed from 2.8.2 to 2.8.3
  • Resolution fixed deleted
  • Status changed from closed to reopened

Reverted in r3341. I need a confirmation about a publicly released version of MacVim which supports ODB then we can enable it by default. Also see #1399.

comment:6 Changed on Dec 12, 2007 at 6:09:58 PM by dkocher

It doesn't work here using MacVim-snapshot-0712B.

comment:7 Changed on Dec 20, 2007 at 7:49:14 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

It *does* work as of MacVim 0712B. Fixed in r3364.

Note: See TracTickets for help on using tickets.
swiss made software